package com.tencent.mm.plugin.account.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bp.d;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelsimple.q;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ytcommon.BuildConfig;

public class LoginFaceUI extends LoginHistoryUI {
    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(124911);
        super.onCreate(bundle);
        if (this.gCl) {
            AppMethodBeat.o(124911);
            return;
        }
        this.gwX = 4;
        this.gCg.setVisibility(0);
        this.gBN.setVisibility(0);
        findViewById(2131825309).setEnabled(false);
        ((TextView) findViewById(2131825310)).setTextColor(getResources().getColorStateList(2131690780));
        ((TextView) findViewById(2131825310)).setBackgroundResource(getResources().getColor(2131690597));
        this.gBN.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(124909);
                h.pYm.e(11557, new Object[]{Integer.valueOf(2)});
                Intent intent = new Intent();
                intent.putExtra("k_user_name", LoginFaceUI.this.gCb);
                intent.putExtra("k_purpose", 2);
                intent.putExtra("k_need_signature", true);
                d.b(LoginFaceUI.this.mController.ylL, "facedetect", ".ui.FaceDetectUI", intent, 1025);
                AppMethodBeat.o(124909);
            }
        });
        AppMethodBeat.o(124911);
    }

    /* Access modifiers changed, original: protected|final */
    public final void aqU() {
        int i = -1;
        AppMethodBeat.i(124912);
        super.aqU();
        aqV();
        q qVar = new q(this.gCb, this.gCk, BuildConfig.FLAVOR, 0);
        String str = "MicroMsg.LoginFaceUI";
        String str2 = "summerauth mAuthPwd len:%d content[%s] logindata.rawPsw len:%d content[%s]";
        Object[] objArr = new Object[4];
        objArr[0] = Integer.valueOf(this.gCk == null ? -1 : this.gCk.length());
        objArr[1] = bo.anv(this.gCk);
        if (this.gBT.guf != null) {
            i = this.gBT.guf.length();
        }
        objArr[2] = Integer.valueOf(i);
        objArr[3] = bo.anv(this.gBT.guf);
        ab.d(str, str2, objArr);
        getString(2131297061);
        this.ehJ = com.tencent.mm.ui.base.h.b(this, getString(2131301031), true, new 2(this, qVar));
        g.Rg().a(qVar, 0);
        AppMethodBeat.o(124912);
    }
}
